Bug 248316 - Random Terminal crash when closing tab with multiple tabs opened
Summary: Random Terminal crash when closing tab with multiple tabs opened
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-15 23:53 UTC by denis ivanov
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-26 17:39:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description denis ivanov 2007-07-15 23:53:03 UTC
Description of problem:

Random Terminal crash when closing tab with multiple tabs opened.

The bug was not appears with fc7 (maybe this is gtk2/glib2/vte issue).
Gnome-terminal also use vte but seems not have this bug.

Also no bug with older gtk2/glib2 (just remember bug with xfwm
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243735 maybe both problems
is connected)


Version-Release number of selected component (if applicable):

Terminal-0.2.6-2.fc7 (also recompiled this and older versions have same bug)

vte-0.16.6-1.fc8
gtk2-2.11.5-3.fc8
glib2-2.13.7-2.fc8

How reproducible:

Open random number of tabs (15-30) using Ctrl-Shift-T.
Then close tabs one-by-one using Ctrl-D.

90% Terminal will crash when closing some tab.

Try several times.


Additional info:

gdb Terminal core

(gdb) bt
+++++++ #0  0x001ef089 in ?? () from /usr/lib/libvte.so.9
+++++++ #1  0x008d88f4 in ?? () from /lib/libglib-2.0.so.0
#2  0x008d91da in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#3  0x008dc5ef in ?? () from /lib/libglib-2.0.so.0
#4  0x008dc999 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x003f04e4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x080522ad in g_str_equal ()
#7  0x00987f70 in __libc_start_main () from /lib/libc.so.6
#8  0x08051811 in g_str_equal ()

Comment 1 Kevin Fenzi 2007-07-16 15:57:59 UTC
Odd. Can you try installing the debuginfo and running Terminal from gdb and
getting a full backtrace?

ie: 

- yum --enablerepo=fedora-debuginfo install Terminal-debuginfo
- gdb /usr/bin/Terminal
- duplicate crash

A look upstream doesn't show any bug like this reported, but yeah, it could be a
glib or vte version issue thats in rawhide only. 

Thanks for the bug report!

Comment 2 denis ivanov 2007-07-16 17:51:53 UTC
Installed debuginfos:

Terminal-debuginfo-0.2.6-2.fc7
gtk2-debuginfo-2.11.5-3.fc8
glib2-debuginfo-2.13.7-2.fc8
vte-debuginfo-0.16.6-1.fc8

Seems bug with input pty's handling...


Program received signal SIGSEGV, Segmentation fault.
0x001ef089 in mark_input_source_invalid (terminal=0x9bed890) at vte.c:2739
2739            terminal->pvt->pty_input_source = VTE_INVALID_SOURCE;
(gdb) bt
#0  0x001ef089 in mark_input_source_invalid (terminal=0x9bed890) at vte.c:2739
#1  0x008d88f4 in g_source_callback_unref (cb_data=0x9d69250) at gmain.c:1182
#2  0x008d91da in IA__g_main_context_dispatch (context=0x9ae73f0) at gmain.c:2069
#3  0x008dc5ef in g_main_context_iterate (context=0x9ae73f0, block=1,
dispatch=1, self=0x9af68f0) at gmain.c:2694
#4  0x008dc999 in IA__g_main_loop_run (loop=0x9acf978) at gmain.c:2898
#5  0x003f04e4 in IA__gtk_main () at gtkmain.c:1144
#6  0x080522ad in main (argc=1, argv=0xbf82db04) at main.c:277
#7  0x00987f70 in __libc_start_main () from /lib/libc.so.6
#8  0x08051811 in _start ()


Comment 3 Kevin Fenzi 2007-07-16 18:02:14 UTC
Excellent. Thanks for the backtrace.

I have reported this upstream to see if they can spot the issue. 
I suspect it's either a vte bug, or Terminal doing something new vte doesn't
expect. 

http://bugzilla.xfce.org/show_bug.cgi?id=3396


Comment 4 denis ivanov 2007-07-28 11:12:50 UTC
No updates from upstream! ;-( Seems Oliver's team ignores this bug.

Comment 5 Kevin Fenzi 2007-07-29 02:13:07 UTC
Well, as far as I know Oliver doesn't have a 'team'... and it looks like he is
moving and without net for a bit:

http://foo-projects.org/pipermail/xfce4-dev/2007-July/023346.html

Hopefully he will have a chance to look at it soon. 

Comment 6 denis ivanov 2007-08-25 20:25:01 UTC
Seems no bug after update to today's rawhide with Terminal-0.2.6-3.fc8
Where I can check what is changed in 0.2.6-3 comparing to 0.2.6-2 ?


Comment 7 Kevin Fenzi 2007-08-26 17:39:53 UTC
The only 2 items changed were: 

Add patch for CVE-2007-3770.
Update License tag

I sure doubt either of them are the solution here. I suspect it was some library
it needed to rebuilt against and the rebuild fixed it then?

If you can confirm this is fixed I will go ahead and close this. 
Feel free to file a new report or reopen this one if you see it happen again. 

Comment 8 denis ivanov 2007-08-27 09:29:36 UTC
Just tested. 99 sure all is ok now. Please close this and also please inform
upstream to close bug on their bugzilla. Thanks! ;)

Comment 9 Kevin Fenzi 2007-08-27 15:26:14 UTC
ok, will do.

Thanks again for the bug report!


Note You need to log in before you can comment on or make changes to this bug.